package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * OA供应商审核 DO
 *
 * @author 艾楷
 */
@TableName("bpm_oa_supplier")
@KeySequence("bpm_oa_supplier_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOASupplierDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 申请人的用户编号
     */
    private Long userId;
    /**
     * 供应商id（如果编辑的话需要）
     */
    private Long supplierId;
    /**
     * 供应商名称
     */
    private String supplierName;
    /**
     * 联系方式(手机号)
     */
    private String phone;
    /**
     * 联系人
     */
    private String contactPerson;
    /**
     * 公司地址
     */
    private String companyAddress;
    /**
     * 营业执照编号
     */
    private String businessLicenseNo;
    /**
     * 结算日
     */
    private String settlementDate;
    /**
     * 结算方式(字典值)
     */
    private Integer settlementMethod;
    /**
     * 公司账号
     */
    private String companyAccount;
    /**
     * 银行开户行
     */
    private String bankAccountOpeningBank;
    /**
     * 附件信息
     */
    private String fileItems;
    /**
     * 申请结果
     */
    private Integer result;
    /**
     * 流程实例的编号
     */
    private String processInstanceId;

}
